<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<style>
       .block_flex{
         display: flex;
         flex-direction: row-reverse;
         align-items: baseline;
       }
         
         
        
      
      .block div{
            width: 5%;
            background-color: coral;
           
          
        }  

       .block div:nth-child(odd){
           font-size: 12px;
       } 

       .block div:nth-child(5){
           font-size: 8px;
       } 

       .block div:nth-child(3){
           font-size: 22px;
       } 

       .block div:nth-child(8){
           font-size: 48px;
       } 
</style>
<body>
    <div class="block block_flex">
        <div>1</div>
        <div>2</div>
        <div>3</div>
        <div>4</div>
        <div>5</div>
        <div>6</div>
        <div>7</div>
        <div>8</div>
        <div>9</div>
        <div>10</div>
        

    </div>
    
</body>
</html>